> ## Documentation Index
> Fetch the complete documentation index at: https://docs.venture.caplia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1medocuments



## OpenAPI

````yaml /founder/api-reference/openapi.json post /v1/me/documents
openapi: 3.0.0
info:
  title: Caplia Founder API
  version: 1.0.0
  description: >-
    Read and manage your own company, and run the private deck-scoring loop.
    Authenticated with company-scoped cap_fnd_* keys.
servers:
  - url: https://api.venture.caplia.ai
    description: Production
  - url: https://api-sandbox.venture.caplia.ai
    description: Sandbox
security: []
paths:
  /v1/me/documents:
    post:
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  nullable: true
                category:
                  type: string
                name:
                  type: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  category:
                    type: string
                    nullable: true
                  size:
                    type: number
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  uploaded_at:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - category
                  - size
                  - type
                  - uploaded_at
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '403':
          description: Key lacks required scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      request_id:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                required:
                  - error

````